
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PHP微信开发之查询城市天气_php实例 / iVAN</title>

    <meta name="description" content="PHP微信开发之查询城市天气_php实例 PHP微信查询城市天气,首先,你需要找到一个获取天气的API,此处,我用的是百度的apistore,申请和使用API的网址:http://apistore.baidu.com/apiworks/servicedetail/112.html  登录百度账号,并用手机发送请求获取apikey.有了apikey,可以按照它的示例来请求城市天气了.(可以按照城市中文名,拼音,城市编号等来查询)  你可以现在本地做测试,请求完成之后,再放到自己的域名空间的脚本里.  测试的脚本例如:(注意apikey填写">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PHP微信开发之查询城市天气_php实例</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>PHP微信查询城市天气，首先，你需要找到一个获取天气的API，此处，我用的是百度的apistore，申请和使用API的网址：http://apistore.baidu.com/apiworks/servicedetail/112.html </p>
<p>登录百度账号，并用手机发送请求获取apikey。有了apikey，可以按照它的示例来请求城市天气了。（可以按照城市中文名，拼音，城市编号等来查询） </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDYyMzE3MDIxNzg5LnBuZw==.jpg"></p>
<p>你可以现在本地做测试，请求完成之后，再放到自己的域名空间的脚本里。<br />
 测试的脚本例如：（注意apikey填写自己申请的） </p>
<pre>
header('Content-type:text/html;charset=UTF-8');

$ch = curl_init();
$url = 'http://apis.baidu.com/apistore/weatherservice/cityname?cityname=上海';
$header = array(
 'apikey: ',//你的apikey
);
// 添加apikey到header
curl_setopt($ch, CURLOPT_HTTPHEADER , $header);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
// 执行HTTP请求
curl_setopt($ch , CURLOPT_URL , $url);
$res = curl_exec($ch);

$res = json_decode($res, true);
echo "&lt;pre&gt;";
print_r($res);
echo "&lt;/pre&gt;";

$contentStr = "";

foreach($res as $k=&gt;$v){
 if($k == "retData"){
 $contentStr = "城市：" . $v['city'] . "\n";
 $contentStr .= "日期：" . $v['date'] . "\n";
 $contentStr .= "天气：" . $v['weather'] ."\n";
 $contentStr .= "平均气温：" . $v['temp'] . "℃\n";
 $contentStr .= "最低气温：" . $v['l_tmp'] ."℃\n";
 $contentStr .= "最高气温：" . $v['h_tmp'] . "℃\n";
 $contentStr .= "风力：" . $v['WS'] . "\n";
 $contentStr .= "风向：" . $v['WD'] . "\n";
 $contentStr .= "日出时间：" . $v['sunrise'] . "\n";
 $contentStr .= "日落时间：" . $v['sunset'] . "\n";
 $contentStr .= "经度：" . $v['longitude'] . "\n";
 $contentStr .= "纬度：" . $v['latitude'];
 }
}

echo $contentStr;
</pre>
<p>如果你填写了自己的apikey，那么应该能获取到所请求的天气了： </p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDYyMzE3MDIxNzkwLnBuZw==.jpg"></p>
<p>如果能返回正常的数据了，那么就可以放到你的域名空间里了。（公众平台里开发者中心填写的url，该url有连接微信接口等功能） <br />
如果你看不懂下面的代码或者第一次接触微信开发，可以参考我之前的文章：http://www.jb51.net/article/87252.htm</p>
<p>下面的代码是responseMsg的一部分：   </p>
<pre>
 public function responseMsg(){

&lt;span style="white-space:pre"&gt; &lt;/span&gt;//get post data, May be due to the different environments
 $postStr = $GLOBALS["HTTP_RAW_POST_DATA"]; //接收微信发来的XML数据

 //extract post data
 if(!empty($postStr)){

  //解析post来的XML为一个对象$postObj
  $postObj = simplexml_load_string($postStr, 'SimpleXMLElement', LIBXML_NOCDATA);

  $fromUsername = $postObj-&gt;FromUserName; //请求消息的用户
  $toUsername = $postObj-&gt;ToUserName; //"我"的公众号id
  $keyword = trim($postObj-&gt;Content); //用户发送的消息内容
  $time = time(); //时间戳
  $msgtype = 'text'; //消息类型：文本
  $textTpl = "&lt;xml&gt;
 &lt;ToUserName&gt;&lt;![CDATA[%s]]&gt;&lt;/ToUserName&gt;
 &lt;FromUserName&gt;&lt;![CDATA[%s]]&gt;&lt;/FromUserName&gt;
 &lt;CreateTime&gt;%s&lt;/CreateTime&gt;
 &lt;MsgType&gt;&lt;![CDATA[%s]]&gt;&lt;/MsgType&gt;
 &lt;Content&gt;&lt;![CDATA[%s]]&gt;&lt;/Content&gt;
 &lt;/xml&gt;";

  if($postObj-&gt;MsgType == 'event'){ //如果XML信息里消息类型为event
  if($postObj-&gt;Event == 'subscribe'){ //如果是订阅事件
   $contentStr = "欢迎订阅misaka去年夏天！\n更多精彩内容：http://blog.csdn.net/misakaqunianxiatian";
   $resultStr = sprintf($textTpl, $fromUsername, $toUsername, $time, $msgtype, $contentStr);
   echo $resultStr;
   exit();
  }
  }

  $which = mb_substr($keyword, 0, 2, 'UTF-8');//获取要返回什么样的信息

  if($which== "翻译"){ //如果要进行翻译
  //调用有道翻译API进行翻译

  }elseif($which == "天气"){
  $wea = $which;
  $city = str_replace($wea, "", $keyword);

  $ch = curl_init();
  $url = 'http://apis.baidu.com/apistore/weatherservice/cityname?cityname=' . $city;
  $header = array('apikey: '); //此处的apikey使用自己申请的apikey，填在冒号之后

  // 添加apikey到header
  curl_setopt($ch, CURLOPT_HTTPHEADER , $header);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
  // 执行HTTP请求
  curl_setopt($ch , CURLOPT_URL , $url);
  $res = curl_exec($ch);
  $res = json_decode($res, true);
  $contentStr = "";
  foreach($res as $k=&gt;$v){

   if($k == "retData"){
   $contentStr = "城市：" . $v['city'] . "\n";
   $contentStr .= "日期：" . $v['date'] . "\n";
   $contentStr .= "天气：" . $v['weather'] ."\n";
   $contentStr .= "平均气温：" . $v['temp'] . "℃\n";
   $contentStr .= "最低气温：" . $v['l_tmp'] ."℃\n";
   $contentStr .= "最高气温：" . $v['h_tmp'] . "℃\n";
   $contentStr .= "风力：" . $v['WS'] . "\n";
   $contentStr .= "风向：" . $v['WD'] . "\n";
   $contentStr .= "日出时间：" . $v['sunrise'] . "\n";
   $contentStr .= "日落时间：" . $v['sunset'] . "\n";
   $contentStr .= "经度：" . $v['longitude'] . "\n";
   $contentStr .= "纬度：" . $v['latitude'];
   }
  }
  $resultStr = sprintf($textTpl, $fromUsername, $toUsername, $time, $msgtype, $contentStr);
  echo $resultStr;
  exit();

  }else{
  $contentStr = "输入翻译XXX可以进行翻译(=・ω・=)\n\n输入天气XX可以查询城市天气";
  $resultStr = sprintf($textTpl, $fromUsername, $toUsername, $time, $msgtype, $contentStr);
  echo $resultStr;
  exit();
  }
</pre>
<p> <br />
 </p>
<p>完成之后（别忘了填写apikey），你的订阅号里，输入天气上海，那么应该能查到上海当天的天气了。</p>
<p>以上就是本文的全部内容，希望对大家的学习有所帮助，也希望大家多多支持。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索php<br />
                    ，                微信<br />
                                    查询城市天气<br />
                                    安卓天气预报开发实例、天气预报app开发实例、php获取中国天气实例、php开发实例、php网站开发实例教程，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 17:45:41</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/php/" title="php">php</a>, <a href="https://www.iamivan.net/tag/%e5%be%ae%e4%bf%a1/" title="微信">微信</a>, <a href="https://www.iamivan.net/tag/%e6%9f%a5%e8%af%a2%e5%9f%8e%e5%b8%82%e5%a4%a9%e6%b0%94/" title="查询城市天气">查询城市天气</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PHP微信开发之查询城市天气_php实例的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeanDVz.html" rel="bookmark">PHP微信开发之查询城市天气</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PHP微信查询城市天气,首先,你需要找到一个获取天气的API,此处,我用的是百度的apistore,申请和使用API的网址:http://apistore.baidu.com/apiworks/servicedetail/112.html 登录百度账号,并用手机发送请求获取apikey.有了apikey,可以按照它的示例来请求城市天气了.(可以按照城市中文名,拼音,城市编号等来查询) 你可以现在本地做测试,请求完成之后,再放到自己的域名空间的脚本里.  测试的脚本例如:(注意apikey填写自己			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKXxnz.html" rel="bookmark">PHP微信开发之有道翻译&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先,你需要去有道翻译API官网去申请key:http://fanyi.youdao.com/openapi?path=data-mode 得到key之后,就可以开始从该API获得查询的数据了(返回json还是XML,看个人喜好,这里我用的是json)  下面我直接把responseMsg方法里,实现翻译的代码给出.如果你第一次接触微信API,不懂这个方法是干什么的,请去点击PHP微信开发之文本自动回复 &lt;/pre&gt;&lt;a target=_blank href=&quot;http://b			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV7DNQb.html" rel="bookmark">java微信开发之上传下载多媒体文件&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				回复图片.音频.视频消息都是需要media_id的,这个是需要将多媒体文件上传到微信服务器才有的. 将多媒体文件上传到微信服务器,以及从微信服务器下载文件,可以参考:http://mp.weixin.qq.com/wiki/index.php?title=上传下载多媒体文件 上传下载多媒体文件的方法还是写到WeixinUtil.java中. 代码如下: import java.io.BufferedOutputStream; import java.io.BufferedReader; impo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6GkNYp.html" rel="bookmark">php微信开发之上传临时素材&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例为大家分享了php微信上传临时素材的具体代码,供大家参考,具体内容如下 public function uploadImg($imgUrl){ $TOKEN=$this-&gt;getAccessToken(); $URL ='http://file.api.weixin.qq.com/cgi-bin/media/upload?access_token='.$TOKEN.'&amp;type=image'; $data = array('media'=&gt;'@'.$imgUrl); $resu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9jWYvp.html" rel="bookmark">PHP微信开发之模板消息回复&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				微信公众平台上,有个模板消息回复接口:可以用来实现回复特定的消息-----比如用户下了订单之后,回复给用户您的订单正在处理中...比如下面这张图: 用户进行了一些操作之后,服务号能够返回特定的消息----这就是模板消息. 要实现模板消息的回复,你的公众号必须是经过微信认证的,如果是个人的订阅号,暂时不支持微信认证.不过也不影响做测试-----你可以使用测试公众号: 使用测试号的时候,接口信息的配置就不讲了,可以参考我之前的博客. 使用维码登录测试号之后,需要用你的微信号去关注这个测试号,不然看不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW7x2GM.html" rel="bookmark">PHP微信开发之查询微信精选文章&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				查询微信里的一些精选的,点击量比较大的文章.  别忘记申请apikey(登录百度账号即可获取),要完成的功能是: 1.用户回复&quot;文章&quot;,公众号要返回文章分类的编号(比如9.科技). 2.用户回复wz9,1,腾讯     则能返回科技类文章中,关键词为&quot;腾讯&quot;的文章,并且显示第一页(wz9,2,腾讯则可以返回第二页,每一页返回的文章数量可以自定义,此处我放回7篇). 详细步骤: 1.回复&quot;文章&quot;,返回所有文章分类的id.下面的代码是response			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bojqDBz.html" rel="bookmark">PHP微信开发之查询微信精选文章</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				查询微信里的一些精选的,点击量比较大的文章.  别忘记申请apikey(登录百度账号即可获取),要完成的功能是: 1.用户回复&quot;文章&quot;,公众号要返回文章分类的编号(比如9.科技). 2.用户回复wz9,1,腾讯     则能返回科技类文章中,关键词为&quot;腾讯&quot;的文章,并且显示第一页(wz9,2,腾讯则可以返回第二页,每一页返回的文章数量可以自定义,此处我放回7篇). 详细步骤: 1.回复&quot;文章&quot;,返回所有文章分类的id.下面的代码是response			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZgPm5b.html" rel="bookmark">分享ThinkPHP3&period;2中关联查询解决思路&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				不废话了,直接给大家贴代码了,代码很简单,都是比较常见的sql语句,具体内容请看下文. CREATE TABLE `test_avatar` ( `uid` int(11) unsigned NOT NULL DEFAULT '0', `avatar` varchar(255) NOT NULL DEFAULT '', PRIMARY KEY (`uid`) ) ENGINE=MyISAM DEFAULT CHARSET=utf8; INSERT INTO `test_avatar` VALUE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW7dqeM.html" rel="bookmark">php版微信发红包接口用法示例&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了php版微信发红包接口用法.分享给大家供大家参考,具体如下: 微信红包功能我相信各位朋友都知道吧,但如果我们要把红包集成到网站那么要如何来做呢?这里小编就来为各位分享一个php 微信发红包接口测试实例,希望文章能够帮助到各位朋友 下面是一个类,使用方法: $arr['openid']='ojgTTt8oF9VdYcGsJMACHpA-jy1U'; $arr['hbname']=&quot;提现申请&quot;; $arr['body']=&quot;您的提现申请已经成功&quot;; $ar			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpk0Adz.html" rel="bookmark" class="title">W时代，大众点评与H5的8个情怀</a>
					<div>
						  1. &lt;&quot;选择吧!人生&quot;&gt;微信电影宣传推送广告 上线时间:2014.11 坦率地讲,这支广告我不是第一时间看到,而是通过搜索找到,对比2014年时大量画面简单交互初 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvWjrp.html" rel="bookmark" class="title">fatal error&colon;php中通过register</a>
					<div>
						今天发现php中,如果要记录fatal error的时候,可以实用一个不错的函数, 叫register_shutdown_function,小结如下:   register_shutdown_func ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDKPOp.html" rel="bookmark" class="title">Dreamweaver MX Ultradev探索&lpar;1&rpar;</a>
					<div>
						dreamweaver Dreamweaver MX Ultradev探索(1)建立数据源 上一课,我们只是简单的介绍了一下MX在后台数据库方面的新功能,今天我们要真正开始学习他的功能.动态页面最主要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWqKAz.html" rel="bookmark" class="title">解决ajax获取页面直接显示乱码的方法</a>
					<div>
						大家都知道,xmlhttp在通信时采用的是utf编码,而国内很多网页的信息都是采用gbk编码,所以当直接通过ajax去连接网页,并将获取到的信息直接显示的话就会出现乱码的现象,有些时候无法改变服务器端 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv3KNp.html" rel="bookmark" class="title">Asp&period;net驗證碼</a>
					<div>
						asp.net 之前找了一個C#的驗證碼參考,但有一句用VB.NET卻找不出該怎樣寫,以致好長一段時間我的驗證碼都是重復的,今天在小鋪網友的耐心指點下,用 Dim aa As Integer = CT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1qYoM.html" rel="bookmark" class="title">xp架设web服务器和ftp服务器</a>
					<div>
						网络的迅速发展使宽带走入寻常百姓家,广大网络爱好者也勇于尝试,在自己的爱机上建设自己的网站, 那么选择什么系统呢?Win 2000漏洞百出,Win 2003又专门为服务器设计,不太适合普通的家用,相反 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMg2Kmb.html" rel="bookmark" class="title">详解qsort函数的用法</a>
					<div>
						qsort 功 能: 使用快速排序例程进行排序 用 法: void qsort(void *base, int nelem, int width, int (*fcmp)(const void *,c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyNgEp.html" rel="bookmark" class="title">java文件操作及缓存机制依旧有瓶颈</a>
					<div>
						我们在使用windows系统时发现,复制一个文件的再粘贴的速度大体上是一致的,我们可以猜想这是微软内部的工作人员设计的一个算法,而这个操作所能实现的最大速度是由什么影响的呢?? 那么我们可不可以自己设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wXlrp.html" rel="bookmark" class="title">WCF配置文件全攻略</a>
					<div>
						当今的软件系统开发,如果没有配置文件几乎是不可想象的事.没有配置文件,软件如何按照用户的要求对功能进行定制?没有配置文件,在对软件进行配置安装的时候如何根据具体的硬软件环境进行修改?最重要的是没有配置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oJdwb.html" rel="bookmark" class="title">Audition 3&period;0 中文汉化版安装教程</a>
					<div>
						Adobe audition 3.0中文版 新功能包括: 支持VSTi虚拟乐器!这意味着Audition由音频工作站变为音乐工作站 增强的频谱编辑器:可按照声像和声相在频谱编辑器里选中编辑区域,编辑区 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6dZ1b.html" rel="bookmark" class="title">Word2013插入数学公式的方法</a>
					<div>
						  言归正传,我们来看看word2013插入数学公式的方法的具体操作步骤吧! 1.打开一片文档,例如我们打开[二项式定理练习题]将鼠标的光标定位在应该插入公式位置.[插入]--[符号]--[公式],选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYEAXb.html" rel="bookmark" class="title">雅的晶莹506怎么样</a>
					<div>
						  雅的晶莹506的外观十分简洁,其前面板除了底部的拉丝设计外比较出位外,没有其它比较独特的设计,但给人的整体感觉却比较简约时尚. 雅的晶莹506的前面板为镜面设计,反光性比较强,整体的线条并不明显, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo75aDb.html" rel="bookmark" class="title">linux 多网卡bonding</a>
					<div>
						linux 多网卡bonding 在实际的生产环境中,往往需要使用多网卡bonding 操作系统为ubuntu1104 主要修改的配置文件为:/etc/network/interfaces/ 提示:若 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Wwmjb.html" rel="bookmark" class="title">input label-怎么把input嵌入label中</a>
					<div>
						问题描述 怎么把input嵌入label中 5C 怎么把显示成这个样子 解决方案 两个放在一排就可以了.http://www.jb51.net/article/29463.htm 解决方案二: 你要这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWBqmb.html" rel="bookmark" class="title">Win8之父与微软签退休协议</a>
					<div>
						本周三,据美国证券交易委员会(SEC)文件透露,前微软Windows主管蒂夫·辛诺夫斯基将获得41,8361股微软股份,价值1400万美元.不过在获得这些股份之前,辛诺夫斯基必须要签订协议,其中有一项 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze64Qjb.html" rel="bookmark" class="title">微信开发-微信公众号扫码推送给用户消息，会弹出客服消息</a>
					<div>
						问题描述 微信公众号扫码推送给用户消息,会弹出客服消息 微信公众号扫码推送给用户消息,会弹出客服消息,如何处理可以屏蔽客服消息					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrqZ5M.html" rel="bookmark" class="title">Java Web技术经验总结（四）</a>
					<div>
						Spring MVC中返回JSON数据的不同方法 Spring 3 MVC ContentNegotiatingViewResolver example,该视图解析器,可以用于将同一份模型数据展现为不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQ8EZp.html" rel="bookmark" class="title">spring integration同步数据库数据</a>
					<div>
						 需求为:当客户已有系统的数据被同步到我方数据库后,若再有新数据,只同步新数据到我方数据库. 解决:因为客户的业务表是不能变动的,我方在客户数据库中新建一状态表,记录哪些数据被更新过. 当客户业务表有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo5x0b.html" rel="bookmark" class="title">《Python自动化运维：技术与最佳实践》一3&period;1　数据报表之Excel操作模块</a>
					<div>
						3.1 数据报表之Excel操作模块 Excel是当今最流行的电子表格处理软件,支持丰富的计算函数及图表,在系统运营方面广泛用于运营数据报表,比如业务质量.资源利用.安全扫描等报表,同时也是应用系统常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR488b.html" rel="bookmark" class="title">web 工程中struts 的select标签 如何让其选定其中的一项</a>
					<div>
						问题描述 web 工程中struts 的select标签 如何让其选定其中的一项 下面是原式 headerValue=&quot;全部&quot; listKey=&quot;key&quot; li ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWLVOz.html" rel="bookmark" class="title">ip-请问TCP&sol;IP中的协议都具备什么样的功能，都是如何工作的</a>
					<div>
						问题描述 请问TCP/IP中的协议都具备什么样的功能,都是如何工作的 求助,请问TCP/IP中的协议都具备什么样的功能,都是如何工作的,求大神解答 解决方案 这几乎可以写一本书. 只能简单和你说说tc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDw2Bz.html" rel="bookmark" class="title">导入easeui出错，程序包com&period;easemob&period;util不存在</a>
					<div>
						问题描述 解决方案 那您直接导入下那个环信的demo,然后 可以的话 就直接引用这个easeui就可以了.这个实在环信的jar包中的.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmldxM.html" rel="bookmark" class="title">windows-滑动窗口协议模拟代码求补全！！！！！</a>
					<div>
						问题描述 滑动窗口协议模拟代码求补全!!!!! //发送方sender.cpp文件 #include #include #include&quot;sender.h&quot; #include #i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqRdAz.html" rel="bookmark" class="title">当引用类型不为null时属性的value会为null吗？</a>
					<div>
						问题描述 当引用类型不为null时属性的value会为null吗? 当一个类型为null时,value肯定是为null的,那么当他不为null时那么属性.value有没有机会可以为null呢? 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mydmadb.html" rel="bookmark" class="title">textchanged事件-如何实现两个textbox的text根据数学关系联动？</a>
					<div>
						问题描述 如何实现两个textbox的text根据数学关系联动? 比如,一个textbox输入值后,另一个textbox计算出其百分比(利用一个已知数): 另一个textbox输入百分比后,一个tex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RkYob.html" rel="bookmark" class="title">activeMQ 推送之mqtt客户端</a>
					<div>
						使用activeMQ进行Android推送 activeMQ下载地址:http://activemq.apache.org/download.html 下载后是一个压缩包:apache-activem ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nREnz.html" rel="bookmark" class="title">Opencv 调用自带的人脸识别还是函数createLBPHFaceRecognizer问题</a>
					<div>
						问题描述 Opencv 调用自带的人脸识别还是函数createLBPHFaceRecognizer问题 Opencv 调用自带的人脸识别还是函数createLBPHFaceRecognizer问题,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nOYmz.html" rel="bookmark" class="title">CSS中选择器优先级顺序实战讲解</a>
					<div>
						原文:CSS中选择器优先级顺序实战讲解 我们有些程序猿在给一个元素(比如div)应用样式的时候,会有一些疑问,为什么我写在后面的样式不能覆盖前面的样式呢,不是说CSS是层叠样式表吗? 如果你在开发中也 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAa4yb.html" rel="bookmark" class="title">xml-装载XML数据方法异常&colon;LoadXML&lpar;&rpar;</a>
					<div>
						问题描述 装载XML数据方法异常:LoadXML() 我找遍了所有人,都没人能解决,只有来这求论坛的大大们救命了 是这样的,我是在电脑上班的,回家有时要登一下单位系统,但是老出现,电脑系统我也重安了, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKgmZp.html" rel="bookmark" class="title">（采用了虚拟机）ubuntu&comma;升级到15&period;10后，</a>
					<div>
						问题描述 (采用了虚拟机)ubuntu,升级到15.10后, (采用了虚拟机)ubuntu,升级到15.10后,无法从虚拟机外复制文档至终端,怎么回事? 解决方案 没下载更新vmware tool吧.					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
